// pages/newQuanzi/newQuanzi.js
import Notify from '../../dist/notify/notify';
var app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    title:'',
    needCheck: false,
    servicePlace:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var location = wx.getStorageSync('location');
    var place = location.province + location.city + location.district
    this.setData({
      servicePlace:place,
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },

  //获取圈子名称
  onInputTitle(event) {
    this.setData({
      title:event.detail
    })
  },
  //获取是否需要入圈审核
  onChangeNeedCheck({ detail  }) {
    // 需要手动对 checked 状态进行更新
    this.setData({
      needCheck: detail  
      });
  },

  //提交数据
  circleNew1(){
    var that = this;
    var config = wx.getStorageSync('config');
    var location = wx.getStorageSync('location');
    if (that.data.title == null || that.data.title.trim() == "") {
      Notify('请输入圈子名称')
      return
    }
    if (location == null || location.latitude == null) {
      Notify('请重新定位位置')
      return
    }

    //提交数据
    wx.request({
      url: app.url + 'ajax_circle_new1.php',
      data: {
        unionId: config.unionId,
        latitude: location.latitude,
        longitude: location.longitude,
        province: location.province,
        city: location.city,
        district: location.district,
        title: that.data.title,
        needCheck: that.data.needCheck
      },
      header: { 'content-type': 'application/json' },
      method: 'GET',
      dataType: 'json',
      success: function (res) {
        console.log(res)
        if (res.statusCode == 200) {
          if (res.data.status == "OK") {
            //获取新建圈子的id
            var circleId = res.data.result.circleDat.id
            //成功以后跳转到下一页面
            wx.navigateTo({
              url: '../newCircle2/newCircle2?circleId=' + circleId,
            })
          } else {
            Notify(res.data.message)
            return
          }
        }
      },
      fail: function (res) { },
      complete: function (res) { },
    })
  },

  //重新定位
  reLocation(){
    var config = wx.getStorageSync('config');
    var that = this;
    wx.getLocation({
      type: 'wgs84',
      success: function (res) {
        // console.log(res);
        var latitude = res.latitude;
        var longitude = res.longitude;
        let location = {
          latitude: res.latitude,
          longitude: res.longitude
        };
        wx.setStorage({
          key: 'location',
          data: location,
        })
        wx.request({
          url: app.url + 'ajax_get_location_place.php',
          data: {
            unionId: config.unionId,
            latitude: latitude,
            longitude: longitude
          },
          header: { 'content-type': 'application/json' },
          method: 'GET',
          dataType: 'json',
          success: function (res) {
            that.setData({
              servicePlace: res.data.result.province + res.data.result.city + res.data.result.district,
            })
            //保存最新地理位置信息
            location.province = res.data.result.province,
            location.city = res.data.result.city,
            location.district = res.data.result.district,
            wx.setStorage({
              key: 'location',
              data: location,
            })
          },
          fail: function (res) { },
          complete: function (res) { },
        })
      }
    })
  }
})